commit:     7ca4ee9ae19471f31fc3bf0a9f737c0d025a18e8
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 17 11:58:49 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Jun 17 12:23:05 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ca4ee9a

dev-python/django-tastypie: Drop old

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-python/django-tastypie/Manifest                |  1 -
 .../django-tastypie/django-tastypie-0.9.15.ebuild  | 56 ----------------------
 dev-python/django-tastypie/files/runtests.patch    | 46 ------------------
 dev-python/django-tastypie/metadata.xml            |  3 --
 4 files changed, 106 deletions(-)

diff --git a/dev-python/django-tastypie/Manifest 
b/dev-python/django-tastypie/Manifest
index 9e97b351e61..d1f64b28fb7 100644
--- a/dev-python/django-tastypie/Manifest
+++ b/dev-python/django-tastypie/Manifest
@@ -1,2 +1 @@
 DIST django-tastypie-0.13.3.tar.gz 231373 BLAKE2B 
a966e7d9f36b3399799afd00f92b4d0bc4041226d7aa3d55fc204c60eb7fd757d1c56ed985f79017754b16b4af92281004b968c75fce69862da8584a78e058bf
 SHA512 
a4497c2212e1ca6614d69c8c847aedd9b9bb88c7c9083c3eae8bd163e9f61f4402c6adc0a3b2a5632e9d2d7e14b2158bce66d8e62257493edfbd9ca9be9355fb
-DIST django-tastypie-0.9.15.tar.gz 206823 BLAKE2B 
dbc5759975979723cf7d97456de4f26498095cfeeddc4a4f52484d4f655dd9a6c487c0ecbb278536ba54626d8893dbd8af88691fd4f17af24d1175f65436a6f0
 SHA512 
dcb26f7bb131e658ff6a2d11ca8eb74db064986cd48e536fb4987a1cfe4c4958e99f60cf173b1bbbbc051f3e55bc31ff28e645a52f526b3a98461daddd865a74

diff --git a/dev-python/django-tastypie/django-tastypie-0.9.15.ebuild 
b/dev-python/django-tastypie/django-tastypie-0.9.15.ebuild
deleted file mode 100644
index 693c2d4c385..00000000000
--- a/dev-python/django-tastypie/django-tastypie-0.9.15.ebuild
+++ /dev/null
@@ -1,56 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1
-
-RESTRICT="test"
-
-DESCRIPTION="A flexible and capable API layer for django utilising serialisers"
-HOMEPAGE="https://pypi.org/project/django-tastypie/ 
https://github.com/toastdriven/django-tastypie";
-SRC_URI="https://github.com/toastdriven/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
-
-KEYWORDS="amd64 x86"
-IUSE="bip doc digest lxml test yaml"
-
-LICENSE="BSD"
-SLOT="0"
-
-RDEPEND=">=dev-python/mimeparse-0.1.3[${PYTHON_USEDEP}]
-       >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
-       >=dev-python/django-1.3[${PYTHON_USEDEP}]
-       dev-python/pyxml[${PYTHON_USEDEP}]
-       dev-python/defusedxml[${PYTHON_USEDEP}]
-       bip? ( dev-python/biplist[${PYTHON_USEDEP}] )
-       digest? ( dev-python/python-digest[${PYTHON_USEDEP}] )
-       lxml? ( dev-python/lxml[${PYTHON_USEDEP}] )
-       yaml? ( dev-python/pyyaml[${PYTHON_USEDEP}] )"
-DEPEND="${RDEPEND}
-       dev-python/setuptools[${PYTHON_USEDEP}]
-       test? (
-               dev-python/oauth2[${PYTHON_USEDEP}]
-               dev-python/lxml[${PYTHON_USEDEP}]
-               dev-python/python-digest[${PYTHON_USEDEP}]
-               dev-python/biplist[${PYTHON_USEDEP}]
-               dev-python/pyyaml[${PYTHON_USEDEP}]
-               >=dev-python/mimeparse-0.1.3[${PYTHON_USEDEP}]
-               >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
-               dev-python/mock[${PYTHON_USEDEP}]
-       )"
-
-PATCHES=( "${FILESDIR}"/runtests.patch )
-
-python_compile_all() {
-       use doc && emake -C docs html
-}
-
-python_test() {
-       PYTHONPATH=.:tests ./tests/run_all_tests.sh || die
-}
-
-python_install_all() {
-       use doc && local HTML_DOCS=( docs/_build/html/. )
-       distutils-r1_python_install_all
-}

diff --git a/dev-python/django-tastypie/files/runtests.patch 
b/dev-python/django-tastypie/files/runtests.patch
deleted file mode 100644
index 473d3338101..00000000000
--- a/dev-python/django-tastypie/files/runtests.patch
+++ /dev/null
@@ -1,46 +0,0 @@
-The run tests bash script keeps going on a fail. Patch corrects this for gentoo
-diff -ur django-tastypie-0.9.15.oirg/tests/run_all_tests.sh 
django-tastypie-0.9.15/tests/run_all_tests.sh
---- tests/run_all_tests.sh     2013-05-03 10:36:43.000000000 +0800
-+++ tests/run_all_tests.sh     2013-06-03 13:55:18.633474126 +0800
-@@ -10,9 +10,9 @@
- 
- #Don't run customuser tests if django's version is less than 1.5.
- if [ $major -lt '2' -a $minor -lt '5' ]; then
--  ALL="core basic alphanumeric slashless namespaced related validation gis 
content_gfk authorization"
-+  ALL="core basic alphanumeric slashless namespaced related validation 
content_gfk authorization"
- else
--  ALL="core customuser basic alphanumeric slashless namespaced related 
validation gis content_gfk authorization"
-+  ALL="core customuser basic alphanumeric slashless namespaced related 
validation content_gfk authorization"
- fi
- 
- 
-@@ -26,15 +26,23 @@
- fi
- 
- for type in $TYPES; do
--    echo "** $type **"
-+    echo "** running test $type **"
- 
-     if [ $type == 'related' ]; then
--        django-admin.py test ${type}_resource --settings=settings_$type
--        continue
-+      if django-admin.py test ${type}_resource --settings=settings_$type; then
-+              continue
-+      else
-+              echo "Test ${type} failed"
-+              exit 1
-+      fi
-     elif [ $type == 'gis' ]; then
--        createdb -T template_postgis tastypie.db
-+      createdb -T template_posttastypie.db
-     fi
- 
--    django-admin.py test $type --settings=settings_$type
--    echo; echo
-+    if ! django-admin.py test $type --settings=settings_$type; then
-+                echo "Test ${type} failed"     
-+                exit 1
-+    else
-+        echo; echo
-+    fi
- done

diff --git a/dev-python/django-tastypie/metadata.xml 
b/dev-python/django-tastypie/metadata.xml
index 3566d5033e2..9eaff492187 100644
--- a/dev-python/django-tastypie/metadata.xml
+++ b/dev-python/django-tastypie/metadata.xml
@@ -7,9 +7,6 @@
   </maintainer>
   <use>
     <flag name="bip">An optional serialiser dev-python/biplist</flag>
-    <flag name="digest">Library to aid in implementing HTTP Digest 
Authentication</flag>
-    <flag name="lxml">An optional serialiser dev-python/lxml</flag>
-    <flag name="yaml">An optional serialiser dev-python/yaml</flag>
   </use>
   <upstream>
     <remote-id type="github">toastdriven/django-tastypie</remote-id>

Reply via email to